# A demo with a button that changes a label's text option.
# This window looks better!
# Demo courtesy of Dr. Alan McLeod

import tkinter

top = tkinter.Tk()
top.title("Window Grid Configure Demo")

testLabel = tkinter.Label(top, text="Hello", font="Times 20 bold")

def main() :

    testButton = tkinter.Button(top, text="Change Label", font="Arial 16 bold", \
                              command=flip)
    testButton.grid(row=0, column=0)
    testLabel.grid(row=0, column=1)

    top.columnconfigure(1, minsize=150)
    top.columnconfigure(0, pad=20)
    top.columnconfigure(1, pad=20)
    top.rowconfigure(0, pad=20)
    
    tkinter.mainloop()


def flip() :

    if testLabel.cget("text") == "Hello" :
        testLabel.configure(text="Goodbye")
    else :
        testLabel.configure(text="Hello")


main()
      
  

