# A demo with a button that shows the LoadFileDialog window.
# Demo courtesy of Dr. Alan McLeod

import tkinter
import tkinter.filedialog
import os

top = tkinter.Tk()
fileNameLabel = tkinter.Label(top, text="", font="Arial 16 bold")

def main() :

    top.title("Window File Dialog Demo")
    getFileButton = tkinter.Button(top, text="Choose File", font="Arial 16 bold", \
                              command=getFile)
    getFileButton.grid(row=0, column=0)
    fileNameLabel.grid(row=0, column=1)
    top.columnconfigure(0, pad=20)
    top.columnconfigure(1, minsize=300, pad=20)
    top.rowconfigure(0, pad=20)
    
    tkinter.mainloop()

def getFile() :

    fname = tkinter.filedialog.askopenfilename(parent=top, title="Choose A File", \
            defaultextension="*.txt", initialdir=os.curdir)
    if fname == None :
        fname = "-Not chosen-"
    fileNameLabel.configure(text=fname)


main()
      
  

