# A GUI version of "Hello World!"
# This version uses the Grid Manager
# Demo courtesy of Dr. Alan McLeod

import tkinter

def main() :

    top = tkinter.Tk()
    top.title("Window Grid Demo")
    
    # Label rows and columns because we can!
    corner = tkinter.Label(top, text="0,0", font="Arial 18 bold")
    corner.grid(row=0, column=0)
    col1 = tkinter.Label(top, text="1", font="Arial 18 bold")
    col2 = tkinter.Label(top, text="2", font="Arial 18 bold")
    col3 = tkinter.Label(top, text="3", font="Arial 18 bold")
    col1.grid(row=0, column=1)
    col2.grid(row=0, column=2)
    col3.grid(row=0, column=3)
    row1 = tkinter.Label(top, text="1", font="Arial 18 bold")
    row2 = tkinter.Label(top, text="2", font="Arial 18 bold")
    row3 = tkinter.Label(top, text="3", font="Arial 18 bold")
    row1.grid(row=1, column=0)
    row2.grid(row=2, column=0)
    row3.grid(row=3, column=0)

    # Add some more random labels
    helloWorldLabel = tkinter.Label(top, text="Hello World!", font="Arial 18 bold")
    helloWorldLabel.grid(row=1, column=1)
    helloAgainLabel = tkinter.Label(top, text="Hello Again", font="Times 20 bold italic")
    helloAgainLabel.grid(row=1, column=3)
    goodbyeLabel = tkinter.Label(top, text="Goodbye!", font="Courier 20")
    goodbyeLabel.grid(row=2, column=3)
    goodbyeAgainLabel = tkinter.Label(top, text="Again!", font="Broadway 18")
    goodbyeAgainLabel.grid(row=3, column=2)
    

    tkinter.mainloop()


main()
