# A demo with radio buttons and a callback.
# Demo courtesy of Dr. Alan McLeod

import tkinter

top = tkinter.Tk()
radioChoices = tkinter.IntVar()
choiceLabel = tkinter.Label(top, text="1", font="Arial 24 bold", fg="red")

def main() :

    top.title("Window Radiobutton Demo")

    rb1 = tkinter.Radiobutton(top, text="Option 1", variable=radioChoices, \
                              value=1, command=showChoice, font="Arial 16 bold")
    rb2 = tkinter.Radiobutton(top, text="Option 2", variable=radioChoices, \
                              value=2, command=showChoice, font="Arial 16 bold")
    rb3 = tkinter.Radiobutton(top, text="Option 3", variable=radioChoices, \
                              value=3, command=showChoice, font="Arial 16 bold")
    rb4 = tkinter.Radiobutton(top, text="Option 4", variable=radioChoices, \
                              value=4, command=showChoice, font="Arial 16 bold")
    resultLabel = tkinter.Label(top, text="result", font="Arial 16 bold")

    radioChoices.set(3)
    
    rb1.grid(row=0, column=0)
    rb2.grid(row=1, column=0)
    rb3.grid(row=2, column=0)
    rb4.grid(row=3, column=0)
    resultLabel.grid(row=0, column=1)
    choiceLabel.grid(row=1, column=1)
    
    top.columnconfigure(0, pad=20)
    top.columnconfigure(1, pad=20, minsize=40)
    top.rowconfigure(0, pad=20)
    top.rowconfigure(1, pad=20)
    top.rowconfigure(2, pad=20)
    top.rowconfigure(3, pad=20)
    
    tkinter.mainloop()
    

def showChoice() :

    choiceLabel.configure(text=radioChoices.get())

main()
      
  

